    ' ROM : 2048b [2800-2FFF]
    ' RAM1: 1024b Main buffer [0000-0400] Buffer.
    ' RAM2: 6144b Main buffer [A000-B800] V_File.

    ' Graphic trigger : 
    ' SOFTWARE SWITCH (GRAPHIC<->TEXT MODE)
    ' (/RD = GRAPHICS(peek) OR /WR = TEXT MODE(poke) AND ADDRESS Beatween 2800-2FFF (QS-ROM)
 
    ' RAM1:
    ' HARDWARE RAM BUFFER AT 0000 to 0400
    ' ROM's buffer.
    ' Actived by a "LD BC,0000 ; LDIR"
    ' 
    
    ' RAM2:    
    ' HARDWARE RAM BUFFER AT A000 to B800 (6144 bytes/ 6Kb)
    ' Screen Buffer.


Temporary address:
COORDS=$4036
SYSTEM :$407B
SYSTEM :$407C


10240  C3;61;28         JP $2861            ; []
10243  C3;1C;2B         JP $2B1C            ; []
10246  C3;69;29         JP $2969            ; []
10249  C3;6F;29         JP $296F            ; []
10252  C3;75;29         JP $2975            ; []
10255  C3;85;29         JP $2985            ; []
10258  C3;89;29         JP $2989            ; []
10261  C3;C5;29         JP $29C5            ; []
10264  C3;8C;2A         JP $2A8C            ; []
10267  C3;F2;2A         JP $2AF2            ; []
10270  C3;C2;2B         JP $2BC2            ; []
10273  C3;D9;2B         JP $2BD9            ; []
10276  C3;F3;2B         JP $2BF3            ; []
10279  C3;0A;2C         JP $2C0A            ; []
10282  C3;39;2C         JP $2C39            ; []
10285  C3;1E;2C         JP $2C1E            ; []
10288  C3;57;29         JP $2957            ; []
10291  C3;09;29         JP $2909            ; []

10294  

27;31;01 "BL"
3C;2D;01 "WH"
28;31;01 "CL"
32;34;03 "MO"
35;31;03 "PL"
29;37;03 "DR"
35;37;02 "PR"
38;28;01 "SC"
3A;35;01 "UP"
29;34;01 "DO"
31;2A;01 "LE"
37;2E;01 "RI"
28;34;01 "CO"
27;34;03 "BO"

10336  00               NOP                  
10337  2A;29;40         LD HL,($4029) ; Get NXT-LINE
10340  11;05;00         LD DE,$0005          
10343  19               ADD HL,DE            
10344  E5               PUSH HL              
10345  E1               POP HL               
10346  7E               LD A,(HL)            
10347  FE;76            CP $76               
10349  C8               RET Z                
10350  23               INC HL               
10351  B7               OR A,A               
10352  28;F8            JR Z,-8             ; [$286A]
10354  5F               LD E,A               
10355  56               LD D,(HL)            
10356  E5               PUSH HL              
10357  21;36;28         LD HL,$2836          
10360  06;0E            LD B,$0E             
10362  0E;00            LD C,$00             
10364  7E               LD A,(HL)            
10365  BB               CP E                 
10366  23               INC HL               
10367  20;02            JR NZ,+2            ; [$2883]
10369  7E               LD A,(HL)            
10370  BA               CP D                 
10371  23               INC HL               
10372  7E               LD A,(HL)            
10373  23               INC HL               
10374  28;0A            JR Z,+10            ; [$2892]
10376  0C               INC C                
10377  10;F1            DJNZ -15            ; [$287C]
10379  E1               POP HL               
10380  3E;0F            LD A,$0F             
10382  32;00;40         LD ($4000),A         
10385  C9               RET

10386  E1               POP HL               
10387  47               LD B,A               
10388  23               INC HL               
10389  7E               LD A,(HL)            
10390  FE;76            CP $76               
10392  28;03            JR Z,+3             ; [$289D]
10394  B7               OR A,A               
10395  20;F7            JR NZ,-9            ; [$2894]
10397  05               DEC B                
10398  28;38            JR Z,+56            ; [$28D8]
10400  05               DEC B                
10401  28;23            JR Z,+35            ; [$28C6]
10403  CD;E8;28         CALL $28E8          ; []
10406  F6;40            OR $40               
10408  E5               PUSH HL              
10409  CD;09;29         CALL $2909          ; []
10412  D1               POP DE               
10413  C0               RET NZ               
10414  CD;57;29         CALL $2957          ; []
10417  47               LD B,A               
10418  EB               EX DE,HL             
10419  CD;E8;28         CALL $28E8          ; []
10422  F6;40            OR $40               
10424  E5               PUSH HL              
10425  CD;09;29         CALL $2909          ; []
10428  D1               POP DE               
10429  C0               RET NZ               
10430  CD;57;29         CALL $2957          ; []
10433  EB               EX DE,HL             
10434  57               LD D,A               
10435  58               LD E,B               
10436  18;12            JR +18              ; [$28D8]
10438  CD;E8;28         CALL $28E8          ; []
10441  D6;20            SUB $20              
10443  F6;40            OR $40               
10445  E5               PUSH HL              
10446  CD;09;29         CALL $2909          ; []
10449  D1               POP DE               
10450  C0               RET NZ               
10451  23               INC HL               
10452  7E               LD A,(HL)            
10453  23               INC HL               
10454  23               INC HL               
10455  EB               EX DE,HL             
10456  E5               PUSH HL              
10457  06;00            LD B,$00             
10459  21;06;28         LD HL,$2806          
10462  09               ADD HL,BC            
10463  09               ADD HL,BC            
10464  09               ADD HL,BC            
10465  01;69;28         LD BC,$2869          
10468  C5               PUSH BC              
10469  E5               PUSH HL              
10470  EB               EX DE,HL             
10471  C9               RET 

10472  7E               LD A,(HL)            
10473  FE;76            CP $76               
10475  28;13            JR Z,+19            ; [$2900]
10477  B7               OR A,A               
10478  23               INC HL               
10479  28;F7            JR Z,-9             ; [$28E8]
10481  F5               PUSH AF              
10482  7E               LD A,(HL)            
10483  FE;76            CP $76               
10485  28;10            JR Z,+16            ; [$2907]
10487  B7               OR A,A               
10488  28;0D            JR Z,+13            ; [$2907]
10490  23               INC HL               
10491  FE;0D            CP $0D               
10493  28;F3            JR Z,-13            ; [$28F2]
10495  F1               POP AF               
10496  E1               POP HL               
10497  3E;10            LD A,$10             
10499  32;00;40         LD ($4000),A         
10502  C9               RET

10503  F1               POP AF               
10504  C9               RET

10505  D5               PUSH DE              
10506  C5               PUSH BC              
10507  2A;10;40         LD HL,($4010)       ; Get VARS
10510  47               LD B,A               
10511  7E               LD A,(HL)            
10512  FE;80            CP $80               
10514  28;3A            JR Z,+58            ; [$294E]
10516  B8               CP B                 
10517  28;3D            JR Z,+61            ; [$2954]
10519  F5               PUSH AF              
10520  E6;7F            AND $7F              
10522  B8               CP B                 
10523  20;04            JR NZ,+4            ; [$2921]
10525  F1               POP AF               
10526  97               SUB A                
10527  18;33            JR +51              ; [$2954]
10529  F1               POP AF               
10530  E6;E0            AND $E0              
10532  FE;60            CP $60               
10534  28;10            JR Z,+16            ; [$2938]
10536  FE;A0            CP $A0               
10538  28;12            JR Z,+18            ; [$293E]
10540  FE;E0            CP $E0               
10542  28;18            JR Z,+24            ; [$2948]
10544  23               INC HL               
10545  5E               LD E,(HL)            
10546  23               INC HL               
10547  56               LD D,(HL)            
10548  19               ADD HL,DE            
10549  23               INC HL               
10550  18;D7            JR -41              ; [$290F]
10552  11;06;00         LD DE,$0006          
10555  19               ADD HL,DE            
10556  18;D1            JR -47              ; [$290F]
10558  23               INC HL               
10559  7E               LD A,(HL)            
10560  E6;C0            AND $C0              
10562  FE;80            CP $80               
10564  28;F2            JR Z,-14            ; [$2938]
10566  18;F6            JR -10              ; [$293E]
10568  11;12;00         LD DE,$0012          
10571  19               ADD HL,DE            
10572  18;C1            JR -63              ; [$290F]
10574  3E;11            LD A,$11             
10576  32;00;40         LD ($4000),A         
10579  B7               OR A,A               
10580  C1               POP BC               
10581  D1               POP DE               
10582  C9               RET                  
10583  23               INC HL               
10584  7E               LD A,(HL)            
10585  23               INC HL               
10586  6E               LD L,(HL)            
10587  CB;FD            SET 7,L              
10589  26;00            LD H,$00             
10591  E6;7F            AND $7F              
10593  28;04            JR Z,+4             ; [$2967]
10595  29               ADD HL,HL            
10596  3D               DEC A                
10597  18;FA            JR -6               ; [$2961]
10599  7C               LD A,H               
10600  C9               RET

10601  3E;00            LD A,$00             
10603  32;7B;40         LD ($407B),A        ; Set -
10606  C9               RET

10607  3E;FF            LD A,$FF             
10609  32;7B;40         LD ($407B),A        ; Set -
10612  C9               RET

10613  3A;7B;40         LD A,($407B)        ; Get -
10616  21;00;A0         LD HL,$A000          
10619  11;01;A0         LD DE,$A001          
10622  01;FF;17         LD BC,$17FF          
10625  77               LD (HL),A            
10626  ED;B0            LDIR                 
10628  C9               RET

10629  22;36;40         LD ($4036),HL       ; Set COORDS
10632  C9               RET

10633  22;36;40         LD ($4036),HL       ; Set COORDS
10636  7D               LD A,L               
10637  E6;07            AND $07              
10639  47               LD B,A               
10640  CB;3C            SRL H                
10642  CB;1D            RR L                 
10644  CB;3C            SRL H                
10646  CB;1D            RR L                 
10648  CB;3C            SRL H                
10650  CB;1D            RR L                 
10652  7C               LD A,H               
10653  FE;18            CP $18               
10655  D0               RET NC               
10656  C6;A0            ADD A,$A0            
10658  67               LD H,A               
10659  3A;7B;40         LD A,($407B)        ; Get -
10662  0E;80            LD C,$80             
10664  04               INC B                
10665  05               DEC B                
10666  28;04            JR Z,+4             ; [$29B0]
10668  CB;39            SRL C                
10670  10;FC            DJNZ -4             ; [$29AC]
10672  B7               OR A,A               
10673  79               LD A,C               
10674  28;04            JR Z,+4             ; [$29B8]
10676  2F               CPL                  
10677  A6               AND A,(HL)           
10678  77               LD (HL),A            
10679  C9               RET

10680  B6               OR A,(HL)            
10681  77               LD (HL),A            
10682  C9               RET

10683  E5               PUSH HL              
10684  C5               PUSH BC              
10685  F5               PUSH AF              
10686  CD;89;29         CALL $2989          ; []
10689  F1               POP AF               
10690  C1               POP BC               
10691  E1               POP HL               
10692  C9               RET

10693  EB               EX DE,HL             
10694  2A;36;40         LD HL,($4036)       ; Get COORDS
10697  0E;00            LD C,$00             
10699  7C               LD A,H               
10700  92               SUB D                
10701  30;03            JR NC,+3            ; [$29D2]
10703  0C               INC C                
10704  7A               LD A,D               
10705  94               SUB H                
10706  57               LD D,A               
10707  7D               LD A,L               
10708  93               SUB E                
10709  30;04            JR NC,+4            ; [$29DB]
10711  CB;C9            SET 1,C              
10713  7B               LD A,E               
10714  95               SUB L                
10715  5F               LD E,A               
10716  92               SUB D                
10717  30;05            JR NC,+5            ; [$29E4]
10719  CB;D1            SET 2,C              
10721  7A               LD A,D               
10722  53               LD D,E               
10723  5F               LD E,A               
10724  E5               PUSH HL              
10725  21;F4;29         LD HL,$29F4          
10728  C5               PUSH BC              
10729  06;00            LD B,$00             
10731  09               ADD HL,BC            
10732  09               ADD HL,BC            
10733  09               ADD HL,BC            
10734  C1               POP BC               
10735  43               LD B,E               
10736  7B               LD A,E               
10737  04               INC B                
10738  1F               RRA                  
10739  E9               JP HL                
10740  C3;0C;2A         JP $2A0C            ; []
10743  C3;1C;2A         JP $2A1C            ; []
10746  C3;2C;2A         JP $2A2C            ; []
10749  C3;3C;2A         JP $2A3C            ; []
10752  C3;4C;2A         JP $2A4C            ; []
10755  C3;5C;2A         JP $2A5C            ; []
10758  C3;6C;2A         JP $2A6C            ; []
10761  C3;7C;2A         JP $2A7C            ; []
10764  E1               POP HL               
10765  CD;BB;29         CALL $29BB          ; []
10768  2D               DEC L                
10769  82               ADD A,D              
10770  38;03            JR C,+3             ; [$2A17]
10772  BB               CP E                 
10773  38;02            JR C,+2             ; [$2A19]
10775  25               DEC H                
10776  93               SUB E                
10777  10;F2            DJNZ -14            ; [$2A0D]
10779  C9               RET

10780  E1               POP HL               
10781  CD;BB;29         CALL $29BB          ; []
10784  2D               DEC L                
10785  82               ADD A,D              
10786  38;03            JR C,+3             ; [$2A27]
10788  BB               CP E                 
10789  38;02            JR C,+2             ; [$2A29]
10791  24               INC H                
10792  93               SUB E                
10793  10;F2            DJNZ -14            ; [$2A1D]
10795  C9               RET

10796  E1               POP HL               
10797  CD;BB;29         CALL $29BB          ; []
10800  2C               INC L                
10801  82               ADD A,D              
10802  38;03            JR C,+3             ; [$2A37]
10804  BB               CP E                 
10805  38;02            JR C,+2             ; [$2A39]
10807  25               DEC H                
10808  93               SUB E                
10809  10;F2            DJNZ -14            ; [$2A2D]
10811  C9               RET

10812  E1               POP HL               
10813  CD;BB;29         CALL $29BB          ; []
10816  2C               INC L                
10817  82               ADD A,D              
10818  38;03            JR C,+3             ; [$2A47]
10820  BB               CP E                 
10821  38;02            JR C,+2             ; [$2A49]
10823  24               INC H                
10824  93               SUB E                
10825  10;F2            DJNZ -14            ; [$2A3D]
10827  C9               RET                  
10828  E1               POP HL               
10829  CD;BB;29         CALL $29BB          ; []
10832  25               DEC H                
10833  82               ADD A,D              
10834  38;03            JR C,+3             ; [$2A57]
10836  BB               CP E                 
10837  38;02            JR C,+2             ; [$2A59]
10839  2D               DEC L                
10840  93               SUB E                
10841  10;F2            DJNZ -14            ; [$2A4D]
10843  C9               RET

10844  E1               POP HL               
10845  CD;BB;29         CALL $29BB          ; []
10848  24               INC H                
10849  82               ADD A,D              
10850  38;03            JR C,+3             ; [$2A67]
10852  BB               CP E                 
10853  38;02            JR C,+2             ; [$2A69]
10855  2D               DEC L                
10856  93               SUB E                
10857  10;F2            DJNZ -14            ; [$2A5D]
10859  C9               RET

10860  E1               POP HL               
10861  CD;BB;29         CALL $29BB          ; []
10864  25               DEC H                
10865  82               ADD A,D              
10866  38;03            JR C,+3             ; [$2A77]
10868  BB               CP E                 
10869  38;02            JR C,+2             ; [$2A79]
10871  2C               INC L                
10872  93               SUB E                
10873  10;F2            DJNZ -14            ; [$2A6D]
10875  C9               RET

10876  E1               POP HL               
10877  CD;BB;29         CALL $29BB          ; []
10880  24               INC H                
10881  82               ADD A,D              
10882  38;03            JR C,+3             ; [$2A87]
10884  BB               CP E                 
10885  38;02            JR C,+2             ; [$2A89]
10887  2C               INC L                
10888  93               SUB E                
10889  10;F2            DJNZ -14            ; [$2A7D]
10891  C9               RET

10892  3C               INC A                
10893  3D               DEC A                
10894  C8               RET Z                
10895  F5               PUSH AF              
10896  7E               LD A,(HL)            
10897  23               INC HL               
10898  E5               PUSH HL              
10899  CD;AC;2A         CALL $2AAC          ; []
10902  E1               POP HL               
10903  ED;5B;36;40      LD DE,($4036)       ; Get COORDS
10907  7B               LD A,E               
10908  C6;08            ADD A,$08            
10910  5F               LD E,A               
10911  30;04            JR NC,+4            ; [$2AA5]
10913  7A               LD A,D               
10914  C6;08            ADD A,$08            
10916  57               LD D,A               
10917  ED;53;36;40      LD ($4036),DE       ; Set COORDS
10921  F1               POP AF               
10922  18;E1            JR -31              ; [$2A8D]
10924  2A;36;40         LD HL,($4036)       ; Get COORDS
10927  F5               PUSH AF              
10928  7C               LD A,H               
10929  E6;F8            AND $F8              
10931  67               LD H,A               
10932  CB;3C            SRL H                
10934  CB;1D            RR L                 
10936  CB;3C            SRL H                
10938  CB;1D            RR L                 
10940  CB;3C            SRL H                
10942  CB;1D            RR L                 
10944  7C               LD A,H               
10945  FE;18            CP $18               
10947  38;02            JR C,+2             ; [$2AC7]
10949  F1               POP AF               
10950  C9               RET

10951  C6;A0            ADD A,$A0            
10953  67               LD H,A               
10954  F1               POP AF               
10955  E5               PUSH HL              
10956  11;00;1E         LD DE,$1E00          
10959  26;00            LD H,$00             
10961  6F               LD L,A               
10962  29               ADD HL,HL            
10963  29               ADD HL,HL            
10964  29               ADD HL,HL            
10965  19               ADD HL,DE            
10966  EB               EX DE,HL             
10967  01;20;00         LD BC,$0020          
10970  E1               POP HL               
10971  3E;08            LD A,$08             
10973  F5               PUSH AF              
10974  1A               LD A,(DE)            
10975  13               INC DE               
10976  C5               PUSH BC              
10977  47               LD B,A               
10978  3A;7B;40         LD A,($407B)        ; Get -
10981  B7               OR A,A               
10982  78               LD A,B               
10983  C1               POP BC               
10984  28;01            JR Z,+1             ; [$2AEB]
10986  2F               CPL                  
10987  77               LD (HL),A            
10988  09               ADD HL,BC            
10989  F1               POP AF               
10990  3D               DEC A                
10991  20;EC            JR NZ,-20           ; [$2ADD]
10993  C9               RET

10994  3E;08            LD A,$08             
10996  F5               PUSH AF              
10997  CD;04;2B         CALL $2B04          ; []
11000  F1               POP AF               
11001  3D               DEC A                
11002  20;F8            JR NZ,-8            ; [$2AF4]
11004  2E;00            LD L,$00             
11006  26;B8            LD H,$B8             
11008  22;36;40         LD ($4036),HL       ; Set COORDS
11011  C9               RET

11012  11;00;B5         LD DE,$B500          
11015  21;20;B5         LD HL,$B520          
11018  01;E0;02         LD BC,$02E0          
11021  ED;B0            LDIR                 
11023  62               LD H,D               
11024  6B               LD L,E               
11025  13               INC DE               
11026  3A;7B;40         LD A,($407B)        ; Get -
11029  77               LD (HL),A            
11030  01;1F;00         LD BC,$001F          
11033  ED;B0            LDIR                 
11035  C9               RET

11036  CD;69;29         CALL $2969          ; []
11039  CD;75;29         CALL $2975          ; []
11042  01;00;A0         LD BC,$A000          
11045  21;00;18         LD HL,$1800          
11048  0A               LD A,(BC)            
11049  B7               OR A,A               
11050  C0               RET NZ               
11051  03               INC BC               
11052  2B               DEC HL               
11053  7C               LD A,H               
11054  B5               OR A,L               
11055  20;F7            JR NZ,-9            ; [$2B28]
11057  CD;6F;29         CALL $296F          ; []
11060  CD;75;29         CALL $2975          ; []
11063  01;00;A0         LD BC,$A000          
11066  21;00;18         LD HL,$1800          
11069  0A               LD A,(BC)            
11070  3C               INC A                
11071  C0               RET NZ               
11072  03               INC BC               
11073  2B               DEC HL               
11074  7C               LD A,H               
11075  B5               OR A,L               
11076  20;F7            JR NZ,-9            ; [$2B3D]
11078  21;00;A0         LD HL,$A000          
11081  01;00;18         LD BC,$1800          
11084  75               LD (HL),L            
11085  23               INC HL               
11086  0B               DEC BC               
11087  78               LD A,B               
11088  B1               OR A,C               
11089  20;F9            JR NZ,-7            ; [$2B4C]
11091  01;00;A0         LD BC,$A000          
11094  21;00;18         LD HL,$1800          
11097  0A               LD A,(BC)            
11098  B9               CP C                 
11099  C0               RET NZ               
11100  03               INC BC               
11101  2B               DEC HL               
11102  7C               LD A,H               
11103  B5               OR A,L               
11104  20;F7            JR NZ,-9            ; [$2B59]
11106  CD;69;29         CALL $2969          ; []
11109  CD;75;29         CALL $2975          ; []
11112  CD;9F;2B         CALL $2B9F          ; []
11115  CD;6F;29         CALL $296F          ; []
11118  CD;75;29         CALL $2975          ; []
11121  CD;9F;2B         CALL $2B9F          ; []
11124  21;00;00         LD HL,$0000          
11127  1E;00            LD E,$00             
11129  16;BF            LD D,$BF             
11131  E5               PUSH HL              
11132  D5               PUSH DE              
11133  CD;85;29         CALL $2985          ; []
11136  EB               EX DE,HL             
11137  CD;C5;29         CALL $29C5          ; []
11140  D1               POP DE               
11141  E1               POP HL               
11142  7B               LD A,E               
11143  C6;08            ADD A,$08            
11145  5F               LD E,A               
11146  7C               LD A,H               
11147  C6;08            ADD A,$08            
11149  67               LD H,A               
11150  20;EB            JR NZ,-21           ; [$2B7B]
11152  21;20;00         LD HL,$0020          
11155  CD;85;29         CALL $2985          ; []
11158  21;A7;2B         LD HL,$2BA7          
11161  3E;1A            LD A,$1A             
11163  CD;8C;2A         CALL $2A8C          ; []
11166  C9               RET                  
11167  E5               PUSH HL              
11168  D1               POP DE               
11169  01;00;00         LD BC,$0000          
11172  ED;B0            LDIR                 
11174  C9               RET                  

11175  36;38;00;2D;2E;16;37;2A;38;00
       39;2A;38;39;1B;1B;1B;1B;26;31
       31;00;34;1B;30;1B;00
       "QS HI-RES TEST...ALL O.K. "

; Scrolling UP
11202  21;20;A0         LD HL,$A020          
11205  11;00;A0         LD DE,$A000          
11208  01;E0;17         LD BC,$17E0          
11211  ED;B0            LDIR                 
11213  62               LD H,D               
11214  6B               LD L,E               
11215  13               INC DE               
11216  0E;1F            LD C,$1F             
11218  3A;7B;40         LD A,($407B)        ; Get -
11221  77               LD (HL),A            
11222  ED;B0            LDIR                 
11224  C9               RET

; Scrolling DOWN
11225  21;DF;B7         LD HL,$B7DF          
11228  11;FF;B7         LD DE,$B7FF          
11231  01;E0;17         LD BC,$17E0          
11234  ED;B8            LDDR                 
11236  21;00;A0         LD HL,$A000          
11239  11;01;A0         LD DE,$A001          
11242  0E;1F            LD C,$1F             
11244  3A;7B;40         LD A,($407B)        ; Get -
11247  77               LD (HL),A            
11248  ED;B0            LDIR                 
11250  C9               RET

; Scrolling LEFT
11251  21;FF;B7         LD HL,$B7FF          
11254  0E;C0            LD C,$C0             
11256  11;40;00         LD DE,$0040          
11259  06;20            LD B,$20             
11261  3A;7B;40         LD A,($407B)        ; Get -
11264  1F               RRA

vVVv END OFF 1K segment / start of the next segment.

11265  CB;16            RL (HL)              
11267  2B               DEC HL               
11268  10;FB            DJNZ -5             ; [$2C01]
11270  0D               DEC C                
11271  20;F2            JR NZ,-14           ; [$2BFB]
11273  C9               RET

; Scrolling RIGHT
11274  21;00;A0         LD HL,$A000          
11277  0E;C0            LD C,$C0             
11279  06;20            LD B,$20             
11281  3A;7B;40         LD A,($407B)        ; Get -
11284  1F               RRA                  
11285  CB;1E            RR (HL)              
11287  23               INC HL               
11288  10;FB            DJNZ -5             ; [$2C15]
11290  0D               DEC C                
11291  20;F2            JR NZ,-14           ; [$2C0F]
11293  C9               RET

11294  EB               EX DE,HL             
11295  2A;36;40         LD HL,($4036)       ; Get COORDS
11298  E5               PUSH HL              
11299  D5               PUSH DE              
11300  6B               LD L,E               
11301  CD;C5;29         CALL $29C5          ; []
11304  E1               POP HL               
11305  E5               PUSH HL              
11306  CD;C5;29         CALL $29C5          ; []
11309  D1               POP DE               
11310  E1               POP HL               
11311  E5               PUSH HL              
11312  62               LD H,D               
11313  CD;C5;29         CALL $29C5          ; []
11316  E1               POP HL               
11317  CD;C5;29         CALL $29C5          ; []
11320  C9               RET 

'
' Printer Routine *******************************
'
11321  CD;E7;02         CALL $02E7          ; [SET-FAST]
11324  21;00;A0         LD HL,$A000          
11327  16;C0            LD D,$C0             
11329  0E;00            LD C,$00             
11331  1E;20            LD E,$20             
11333  79               LD A,C               
11334  D3;FB            OUT ($FB),A          
11336  DB;FB            IN A,($FB)           
11338  87               ADD A,A              
11339  FA;80;2C         JP M,$2C80          ; []
11342  30;F8            JR NC,-8            ; [$2C48]
11344  06;0B            LD B,$0B             
11346  10;FE            DJNZ -2             ; [$2C52]
11348  06;08            LD B,$08             
11350  D5               PUSH DE              
11351  5E               LD E,(HL)            
11352  97               SUB A                
11353  CB;23            SLA E                
11355  1F               RRA                  
11356  B1               OR A,C               
11357  57               LD D,A               
11358  DB;FB            IN A,($FB)           
11360  E6;01            AND $01              
11362  28;FA            JR Z,-6             ; [$2C5E]
11364  7A               LD A,D               
11365  D3;FB            OUT ($FB),A          
11367  10;EF            DJNZ -17            ; [$2C58]
11369  D1               POP DE               
11370  23               INC HL               
11371  1D               DEC E                
11372  20;E6            JR NZ,-26           ; [$2C54]
11374  DB;FB            IN A,($FB)           
11376  E6;80            AND $80              
11378  20;FA            JR NZ,-6            ; [$2C6E]
11380  15               DEC D                
11381  28;09            JR Z,+9             ; [$2C80]
11383  7A               LD A,D               
11384  FE;02            CP $02               
11386  20;C7            JR NZ,-57           ; [$2C43]
11388  0E;02            LD C,$02             
11390  18;C3            JR -61              ; [$2C43]
11392  3E;04            LD A,$04             
11394  D3;FB            OUT ($FB),A          
11396  CD;07;02         CALL $0207          ; [SLOW/FAST]
11399  C9               RET

11400  FF               RST 38               
11401  00               NOP                  
11402  FF               RST 38               
11403  00               NOP                  
11404  FF               RST 38               
11405  00               NOP                  
11406  FF               RST 38               
11407  00               NOP                  
11408  FF               RST 38               
11409  00               NOP                  
11410  FF               RST 38               
11411  00               NOP                  
11412  FF               RST 38               
11413  00               NOP                  
11414  FF               RST 38               
11415  00               NOP                  
11416  FF               RST 38               
11417  00               NOP                  
11418  FF               RST 38               
11419  00               NOP                  
11420  FF               RST 38               
11421  00               NOP                  
11422  FF               RST 38               
11423  00               NOP                  
11424  FF               RST 38               
11425  00               NOP                  
11426  FF               RST 38               
11427  00               NOP                  
11428  FF               RST 38               
11429  00               NOP                  
11430  FF               RST 38               
11431  00               NOP                  
11432  FF               RST 38               
11433  00               NOP                  
11434  FF               RST 38               
11435  00               NOP                  
11436  FF               RST 38               
11437  00               NOP                  
11438  FF               RST 38               
11439  00               NOP                  
11440  FF               RST 38               
11441  00               NOP                  
11442  FF               RST 38               
11443  00               NOP                  
11444  FF               RST 38               
11445  00               NOP                  
11446  FF               RST 38               
11447  00               NOP                  
11448  FF               RST 38               
11449  00               NOP                  
11450  FF               RST 38               
11451  00               NOP                  
11452  FF               RST 38               
11453  00               NOP                  
11454  FF               RST 38               
11455  00               NOP                  
11456  FF               RST 38               
11457  00               NOP                  
11458  FF               RST 38               
11459  00               NOP                  
11460  FF               RST 38               
11461  00               NOP                  
11462  FF               RST 38               
11463  00               NOP                  
11464  FF               RST 38               
11465  00               NOP                  
11466  FF               RST 38               
11467  00               NOP                  
11468  FF               RST 38               
11469  00               NOP                  
11470  FF               RST 38               
11471  00               NOP                  
11472  FF               RST 38               
11473  00               NOP                  
11474  FF               RST 38               
11475  00               NOP                  
11476  FF               RST 38               
11477  00               NOP                  
11478  FF               RST 38               
11479  00               NOP                  
11480  FF               RST 38               
11481  00               NOP                  
11482  FF               RST 38               
11483  00               NOP                  
11484  FF               RST 38               
11485  00               NOP                  
11486  FF               RST 38               
11487  00               NOP                  
11488  FF               RST 38               
11489  00               NOP                  
11490  FF               RST 38               
11491  00               NOP                  
11492  FF               RST 38               
11493  00               NOP                  
11494  FF               RST 38               
11495  00               NOP                  
11496  FF               RST 38               
11497  00               NOP                  
11498  FF               RST 38               
11499  00               NOP                  
11500  FF               RST 38               
11501  00               NOP                  
11502  FF               RST 38               
11503  00               NOP                  
11504  FF               RST 38               
11505  00               NOP                  
11506  FF               RST 38               
11507  00               NOP                  
11508  FF               RST 38               
11509  00               NOP                  
11510  FF               RST 38               
11511  00               NOP                  
11512  FF               RST 38               
11513  00               NOP                  
11514  FF               RST 38               
11515  00               NOP                  
11516  FF               RST 38               
11517  00               NOP                  
11518  FF               RST 38               
11519  00               NOP                  
11520  FF               RST 38               
11521  00               NOP                  
11522  FF               RST 38               
11523  00               NOP                  
11524  FB               EI                   
11525  00               NOP                  
11526  FF               RST 38               
11527  00               NOP                  
11528  FF               RST 38               
11529  00               NOP                  
11530  FF               RST 38               
11531  00               NOP                  
11532  FF               RST 38               
11533  00               NOP                  
11534  FF               RST 38               
11535  00               NOP                  
11536  FF               RST 38               
11537  00               NOP                  
11538  FF               RST 38               
11539  00               NOP                  
11540  FF               RST 38               
11541  00               NOP                  
11542  FF               RST 38               
11543  00               NOP                  
11544  FF               RST 38               
11545  00               NOP                  
11546  FF               RST 38               
11547  00               NOP                  
11548  FF               RST 38               
11549  00               NOP                  
11550  FF               RST 38               
11551  00               NOP                  
11552  FF               RST 38               
11553  00               NOP                  
11554  FF               RST 38               
11555  00               NOP                  
11556  BE               CP (HL)              
11557  00               NOP                  
11558  FF               RST 38               
11559  00               NOP                  
11560  FF               RST 38               
11561  00               NOP                  
11562  FF               RST 38               
11563  00               NOP                  
11564  FF               RST 38               
11565  00               NOP                  
11566  FF               RST 38               
11567  00               NOP                  
11568  FF               RST 38               
11569  00               NOP                  
11570  FF               RST 38               
11571  00               NOP                  
11572  FF               RST 38               
11573  00               NOP                  
11574  FF               RST 38               
11575  00               NOP                  
11576  FF               RST 38               
11577  00               NOP                  
11578  FF               RST 38               
11579  00               NOP                  
11580  FF               RST 38               
11581  00               NOP                  
11582  FF               RST 38               
11583  00               NOP                  
11584  FF               RST 38               
11585  00               NOP                  
11586  FF               RST 38               
11587  00               NOP                  
11588  FF               RST 38               
11589  00               NOP                  
11590  FF               RST 38               
11591  00               NOP                  
11592  FF               RST 38               
11593  00               NOP                  
11594  FF               RST 38               
11595  00               NOP                  
11596  FF               RST 38               
11597  00               NOP                  
11598  FF               RST 38               
11599  00               NOP                  
11600  FF               RST 38               
11601  00               NOP                  
11602  FF               RST 38               
11603  00               NOP                  
11604  FF               RST 38               
11605  00               NOP                  
11606  FF               RST 38               
11607  00               NOP                  
11608  FF               RST 38               
11609  00               NOP                  
11610  FF               RST 38               
11611  00               NOP                  
11612  FF               RST 38               
11613  00               NOP                  
11614  FF               RST 38               
11615  00               NOP                  
11616  FF               RST 38               
11617  00               NOP                  
11618  FF               RST 38               
11619  00               NOP                  
11620  FF               RST 38               
11621  00               NOP                  
11622  FF               RST 38               
11623  00               NOP                  
11624  FF               RST 38               
11625  00               NOP                  
11626  FF               RST 38               
11627  00               NOP                  
11628  FF               RST 38               
11629  00               NOP                  
11630  FF               RST 38               
11631  00               NOP                  
11632  FF               RST 38               
11633  00               NOP                  
11634  FF               RST 38               
11635  00               NOP                  
11636  FF               RST 38               
11637  00               NOP                  
11638  FF               RST 38               
11639  00               NOP                  
11640  FF               RST 38               
11641  00               NOP                  
11642  FF               RST 38               
11643  00               NOP                  
11644  FF               RST 38               
11645  00               NOP                  
11646  FF               RST 38               
11647  00               NOP                  
11648  FF               RST 38               
11649  00               NOP                  
11650  FF               RST 38               
11651  00               NOP                  
11652  F9               LD SP,HL             
11653  00               NOP                  
11654  FF               RST 38               
11655  00               NOP                  
11656  FF               RST 38               
11657  00               NOP                  
11658  FF               RST 38               
11659  00               NOP                  
11660  FF               RST 38               
11661  00               NOP                  
11662  FF               RST 38               
11663  00               NOP                  
11664  FF               RST 38               
11665  00               NOP                  
11666  FF               RST 38               
11667  00               NOP                  
11668  FF               RST 38               
11669  00               NOP                  
11670  FF               RST 38               
11671  00               NOP                  
11672  FF               RST 38               
11673  00               NOP                  
11674  FF               RST 38               
11675  00               NOP                  
11676  FF               RST 38               
11677  00               NOP                  
11678  FF               RST 38               
11679  00               NOP                  
11680  FF               RST 38               
11681  00               NOP                  
11682  FF               RST 38               
11683  00               NOP                  
11684  FE;00            CP $00               
11686  FF               RST 38               
11687  00               NOP                  
11688  FF               RST 38               
11689  00               NOP                  
11690  FF               RST 38               
11691  00               NOP                  
11692  FF               RST 38               
11693  00               NOP                  
11694  FF               RST 38               
11695  00               NOP                  
11696  FF               RST 38               
11697  00               NOP                  
11698  FF               RST 38               
11699  00               NOP                  
11700  FF               RST 38               
11701  00               NOP                  
11702  FF               RST 38               
11703  00               NOP                  
11704  FF               RST 38               
11705  00               NOP                  
11706  FF               RST 38               
11707  00               NOP                  
11708  FF               RST 38               
11709  00               NOP                  
11710  FF               RST 38               
11711  00               NOP                  
11712  FF               RST 38               
11713  00               NOP                  
11714  FF               RST 38               
11715  00               NOP                  
11716  FF               RST 38               
11717  00               NOP                  
11718  FF               RST 38               
11719  00               NOP                  
11720  FF               RST 38               
11721  00               NOP                  
11722  FF               RST 38               
11723  00               NOP                  
11724  FF               RST 38               
11725  00               NOP                  
11726  FF               RST 38               
11727  00               NOP                  
11728  FF               RST 38               
11729  00               NOP                  
11730  FF               RST 38               
11731  00               NOP                  
11732  FF               RST 38               
11733  00               NOP                  
11734  FF               RST 38               
11735  00               NOP                  
11736  FF               RST 38               
11737  00               NOP                  
11738  FF               RST 38               
11739  00               NOP                  
11740  FF               RST 38               
11741  00               NOP                  
11742  FF               RST 38               
11743  00               NOP                  
11744  FF               RST 38               
11745  00               NOP                  
11746  FF               RST 38               
11747  00               NOP                  
11748  FF               RST 38               
11749  00               NOP                  
11750  FF               RST 38               
11751  00               NOP                  
11752  FF               RST 38               
11753  00               NOP                  
11754  FF               RST 38               
11755  00               NOP                  
11756  FF               RST 38               
11757  00               NOP                  
11758  FF               RST 38               
11759  00               NOP                  
11760  FF               RST 38               
11761  00               NOP                  
11762  FF               RST 38               
11763  00               NOP                  
11764  FF               RST 38               
11765  00               NOP                  
11766  FF               RST 38               
11767  00               NOP                  
11768  FF               RST 38               
11769  00               NOP                  
11770  FF               RST 38               
11771  00               NOP                  
11772  FF               RST 38               
11773  00               NOP                  
11774  FF               RST 38               
11775  00               NOP                  
11776  FF               RST 38               
11777  00               NOP                  
11778  FF               RST 38               
11779  00               NOP                  
11780  CD;00;EF         CALL $EF00          ; []
11783  00               NOP                  
11784  FF               RST 38               
11785  00               NOP                  
11786  FF               RST 38               
11787  00               NOP                  
11788  FF               RST 38               
11789  00               NOP                  
11790  FF               RST 38               
11791  00               NOP                  
11792  FF               RST 38               
11793  00               NOP                  
11794  FF               RST 38               
11795  00               NOP                  
11796  EF               RST 28               
11797  00               NOP                  
11798  FF               RST 38               
11799  00               NOP                  
11800  FF               RST 38               
11801  00               NOP                  
11802  FF               RST 38               
11803  00               NOP                  
11804  FF               RST 38               
11805  00               NOP                  
11806  FF               RST 38               
11807  00               NOP                  
11808  FF               RST 38               
11809  00               NOP                  
11810  FF               RST 38               
11811  00               NOP                  
11812  EE;00            XOR A,$00            
11814  EF               RST 28               
11815  00               NOP                  
11816  FF               RST 38               
11817  00               NOP                  
11818  FF               RST 38               
11819  00               NOP                  
11820  FF               RST 38               
11821  00               NOP                  
11822  FF               RST 38               
11823  00               NOP                  
11824  FF               RST 38               
11825  00               NOP                  
11826  FF               RST 38               
11827  00               NOP                  
11828  EF               RST 28               
11829  00               NOP                  
11830  FF               RST 38               
11831  00               NOP                  
11832  FF               RST 38               
11833  00               NOP                  
11834  FF               RST 38               
11835  00               NOP                  
11836  FF               RST 38               
11837  00               NOP                  
11838  FF               RST 38               
11839  00               NOP                  
11840  FF               RST 38               
11841  00               NOP                  
11842  FF               RST 38               
11843  00               NOP                  
11844  FF               RST 38               
11845  00               NOP                  
11846  FF               RST 38               
11847  00               NOP                  
11848  FF               RST 38               
11849  00               NOP                  
11850  FF               RST 38               
11851  00               NOP                  
11852  FF               RST 38               
11853  00               NOP                  
11854  FF               RST 38               
11855  00               NOP                  
11856  FF               RST 38               
11857  00               NOP                  
11858  FF               RST 38               
11859  00               NOP                  
11860  FF               RST 38               
11861  00               NOP                  
11862  FF               RST 38               
11863  00               NOP                  
11864  FF               RST 38               
11865  00               NOP                  
11866  FF               RST 38               
11867  00               NOP                  
11868  FF               RST 38               
11869  00               NOP                  
11870  FF               RST 38               
11871  00               NOP                  
11872  FF               RST 38               
11873  00               NOP                  
11874  FF               RST 38               
11875  00               NOP                  
11876  FF               RST 38               
11877  00               NOP                  
11878  FF               RST 38               
11879  00               NOP                  
11880  FF               RST 38               
11881  00               NOP                  
11882  FF               RST 38               
11883  00               NOP                  
11884  FF               RST 38               
11885  00               NOP                  
11886  FF               RST 38               
11887  00               NOP                  
11888  FF               RST 38               
11889  00               NOP                  
11890  FF               RST 38               
11891  00               NOP                  
11892  FF               RST 38               
11893  00               NOP                  
11894  FF               RST 38               
11895  00               NOP                  
11896  FF               RST 38               
11897  00               NOP                  
11898  FF               RST 38               
11899  00               NOP                  
11900  FF               RST 38               
11901  00               NOP                  
11902  FF               RST 38               
11903  00               NOP                  
11904  FF               RST 38               
11905  00               NOP                  
11906  FF               RST 38               
11907  00               NOP                  
11908  E1               POP HL               
11909  00               NOP                  
11910  EF               RST 28               
11911  00               NOP                  
11912  FF               RST 38               
11913  00               NOP                  
11914  FF               RST 38               
11915  00               NOP                  
11916  FF               RST 38               
11917  00               NOP                  
11918  FF               RST 38               
11919  00               NOP                  
11920  FF               RST 38               
11921  00               NOP                  
11922  FF               RST 38               
11923  00               NOP                  
11924  EF               RST 28               
11925  00               NOP                  
11926  FF               RST 38               
11927  00               NOP                  
11928  FF               RST 38               
11929  00               NOP                  
11930  FF               RST 38               
11931  00               NOP                  
11932  FF               RST 38               
11933  00               NOP                  
11934  FF               RST 38               
11935  00               NOP                  
11936  FF               RST 38               
11937  00               NOP                  
11938  FF               RST 38               
11939  00               NOP                  
11940  A6               AND A,(HL)           
11941  00               NOP                  
11942  EF               RST 28               
11943  00               NOP                  
11944  FF               RST 38               
11945  00               NOP                  
11946  FF               RST 38               
11947  00               NOP                  
11948  FF               RST 38               
11949  00               NOP                  
11950  FF               RST 38               
11951  00               NOP                  
11952  FF               RST 38               
11953  00               NOP                  
11954  FF               RST 38               
11955  00               NOP                  
11956  EF               RST 28               
11957  00               NOP                  
11958  FF               RST 38               
11959  00               NOP                  
11960  FF               RST 38               
11961  00               NOP                  
11962  FF               RST 38               
11963  00               NOP                  
11964  FF               RST 38               
11965  00               NOP                  
11966  FF               RST 38               
11967  00               NOP                  
11968  FF               RST 38               
11969  00               NOP                  
11970  FF               RST 38               
11971  00               NOP                  
11972  FF               RST 38               
11973  00               NOP                  
11974  FF               RST 38               
11975  00               NOP                  
11976  FF               RST 38               
11977  00               NOP                  
11978  FF               RST 38               
11979  00               NOP                  
11980  FF               RST 38               
11981  00               NOP                  
11982  FF               RST 38               
11983  00               NOP                  
11984  FF               RST 38               
11985  00               NOP                  
11986  FF               RST 38               
11987  00               NOP                  
11988  FF               RST 38               
11989  00               NOP                  
11990  FF               RST 38               
11991  00               NOP                  
11992  FF               RST 38               
11993  00               NOP                  
11994  FF               RST 38               
11995  00               NOP                  
11996  FF               RST 38               
11997  00               NOP                  
11998  FF               RST 38               
11999  00               NOP                  
12000  FF               RST 38               
12001  00               NOP                  
12002  FF               RST 38               
12003  00               NOP                  
12004  FF               RST 38               
12005  00               NOP                  
12006  FF               RST 38               
12007  00               NOP                  
12008  FF               RST 38               
12009  00               NOP                  
12010  FF               RST 38               
12011  00               NOP                  
12012  FF               RST 38               
12013  00               NOP                  
12014  FF               RST 38               
12015  00               NOP                  
12016  FF               RST 38               
12017  00               NOP                  
12018  FF               RST 38               
12019  00               NOP                  
12020  FF               RST 38               
12021  00               NOP                  
12022  FF               RST 38               
12023  00               NOP                  
12024  FF               RST 38               
12025  00               NOP                  
12026  FF               RST 38               
12027  00               NOP                  
12028  FF               RST 38               
12029  00               NOP                  
12030  FF               RST 38               
12031  00               NOP                  
12032  FF               RST 38               
12033  00               NOP                  
12034  FF               RST 38               
12035  00               NOP                  
12036  7F               LD A,A               
12037  00               NOP                  
12038  FF               RST 38               
12039  00               NOP                  
12040  FF               RST 38               
12041  00               NOP                  
12042  FF               RST 38               
12043  00               NOP                  
12044  FF               RST 38               
12045  00               NOP                  
12046  FF               RST 38               
12047  00               NOP                  
12048  FF               RST 38               
12049  00               NOP                  
12050  FF               RST 38               
12051  00               NOP                  
12052  FF               RST 38               
12053  00               NOP                  
12054  FF               RST 38               
12055  00               NOP                  
12056  FF               RST 38               
12057  00               NOP                  
12058  FF               RST 38               
12059  00               NOP                  
12060  FF               RST 38               
12061  00               NOP                  
12062  FF               RST 38               
12063  00               NOP                  
12064  FF               RST 38               
12065  00               NOP                  
12066  FF               RST 38               
12067  00               NOP                  
12068  7E               LD A,(HL)            
12069  00               NOP                  
12070  FF               RST 38               
12071  00               NOP                  
12072  FF               RST 38               
12073  00               NOP                  
12074  FF               RST 38               
12075  00               NOP                  
12076  FF               RST 38               
12077  00               NOP                  
12078  FF               RST 38               
12079  00               NOP                  
12080  FF               RST 38               
12081  00               NOP                  
12082  FF               RST 38               
12083  00               NOP                  
12084  FF               RST 38               
12085  00               NOP                  
12086  FF               RST 38               
12087  00               NOP                  
12088  FF               RST 38               
12089  00               NOP                  
12090  FF               RST 38               
12091  00               NOP                  
12092  FF               RST 38               
12093  00               NOP                  
12094  FF               RST 38               
12095  00               NOP                  
12096  FF               RST 38               
12097  00               NOP                  
12098  FF               RST 38               
12099  00               NOP                  
12100  FF               RST 38               
12101  00               NOP                  
12102  FF               RST 38               
12103  00               NOP                  
12104  FF               RST 38               
12105  00               NOP                  
12106  FF               RST 38               
12107  00               NOP                  
12108  FF               RST 38               
12109  00               NOP                  
12110  FF               RST 38               
12111  00               NOP                  
12112  FF               RST 38               
12113  00               NOP                  
12114  FF               RST 38               
12115  00               NOP                  
12116  FF               RST 38               
12117  00               NOP                  
12118  FF               RST 38               
12119  00               NOP                  
12120  FF               RST 38               
12121  00               NOP                  
12122  FF               RST 38               
12123  00               NOP                  
12124  FF               RST 38               
12125  00               NOP                  
12126  FF               RST 38               
12127  00               NOP                  
12128  FF               RST 38               
12129  00               NOP                  
12130  FF               RST 38               
12131  00               NOP                  
12132  FF               RST 38               
12133  00               NOP                  
12134  FF               RST 38               
12135  00               NOP                  
12136  FF               RST 38               
12137  00               NOP                  
12138  FF               RST 38               
12139  00               NOP                  
12140  FF               RST 38               
12141  00               NOP                  
12142  FF               RST 38               
12143  00               NOP                  
12144  FF               RST 38               
12145  00               NOP                  
12146  FF               RST 38               
12147  00               NOP                  
12148  FF               RST 38               
12149  00               NOP                  
12150  FF               RST 38               
12151  00               NOP                  
12152  FF               RST 38               
12153  00               NOP                  
12154  FF               RST 38               
12155  00               NOP                  
12156  FF               RST 38               
12157  00               NOP                  
12158  FF               RST 38               
12159  00               NOP                  
12160  FF               RST 38               
12161  00               NOP                  
12162  FF               RST 38               
12163  00               NOP                  
12164  FF               RST 38               
12165  00               NOP                  
12166  FF               RST 38               
12167  00               NOP                  
12168  FF               RST 38               
12169  00               NOP                  
12170  FF               RST 38               
12171  00               NOP                  
12172  FF               RST 38               
12173  00               NOP                  
12174  FF               RST 38               
12175  00               NOP                  
12176  FF               RST 38               
12177  00               NOP                  
12178  FF               RST 38               
12179  00               NOP                  
12180  FF               RST 38               
12181  00               NOP                  
12182  FF               RST 38               
12183  00               NOP                  
12184  FF               RST 38               
12185  00               NOP                  
12186  FF               RST 38               
12187  00               NOP                  
12188  FF               RST 38               
12189  00               NOP                  
12190  FF               RST 38               
12191  00               NOP                  
12192  FF               RST 38               
12193  00               NOP                  
12194  FF               RST 38               
12195  00               NOP                  
12196  FF               RST 38               
12197  00               NOP                  
12198  FF               RST 38               
12199  00               NOP                  
12200  FF               RST 38               
12201  00               NOP                  
12202  FF               RST 38               
12203  00               NOP                  
12204  FF               RST 38               
12205  00               NOP                  
12206  FF               RST 38               
12207  00               NOP                  
12208  FF               RST 38               
12209  00               NOP                  
12210  FF               RST 38               
12211  00               NOP                  
12212  FF               RST 38               
12213  00               NOP                  
12214  FF               RST 38               
12215  00               NOP                  
12216  FF               RST 38               
12217  00               NOP                  
12218  FF               RST 38               
12219  00               NOP                  
12220  FF               RST 38               
12221  00               NOP                  
12222  FF               RST 38               
12223  00               NOP                  
12224  FF               RST 38               
12225  00               NOP                  
12226  FF               RST 38               
12227  00               NOP                  
12228  FF               RST 38               
12229  00               NOP                  
12230  FF               RST 38               
12231  00               NOP                  
12232  FF               RST 38               
12233  00               NOP                  
12234  FF               RST 38               
12235  00               NOP                  
12236  FF               RST 38               
12237  00               NOP                  
12238  FF               RST 38               
12239  00               NOP                  
12240  00               NOP                  
12241  00               NOP                  
12242  00               NOP                  
12243  00               NOP                  
12244  00               NOP                  
12245  00               NOP                  
12246  00               NOP                  
12247  00               NOP                  
12248  00               NOP                  
12249  00               NOP                  
12250  00               NOP                  
12251  00               NOP                  
12252  00               NOP                  
12253  00               NOP                  
12254  00               NOP                  
12255  00               NOP                  
12256  00               NOP                  
12257  00               NOP                  
12258  00               NOP                  
12259  00               NOP                  
12260  00               NOP                  
12261  00               NOP                  
12262  00               NOP                  
12263  00               NOP                  
12264  00               NOP                  
12265  00               NOP                  
12266  00               NOP                  
12267  00               NOP                  
12268  00               NOP                  
12269  00               NOP                  
12270  00               NOP                  
12271  00               NOP                  
12272  00               NOP                  
12273  00               NOP                  
12274  00               NOP                  
12275  00               NOP                  
12276  00               NOP                  
12277  00               NOP                  
12278  00               NOP                  
12279  00               NOP                  
12280  00               NOP                  
12281  00               NOP                  
12282  00               NOP                  
12283  00               NOP                  
12284  00               NOP                  
12285  00               NOP                  
12286  00               NOP                  
12287  00               NOP                  



Ressources:
/// ************ Poke BYTE ***************/// 
/// 'QS High res.			  /// 
If G_Card = eHiResQS Then
    If addr = -1 Then
    'Exit Sub
    End If

/// ' SOFTWARE SWITCH (GRAPHIC<->TEXT MODE)/// 
/// ' (/RD = GRAPHICS OR /WR = TEXT MODE) AND ADDRESS Beatween 2800-2FFF (QS-ROM)/// 
/// ' CF. Peekb				  /// 
    If addr > 10239 And addr < 12288 Then
    QSHRG_Display = 0
    End If

/// ' HARDWARE RAM BUFFER AT A000 to B800 (6144 bytes/ 6Kb)/// 
/// ' Screen Buffer./// 
    If addr > 40959 And addr < 47105 Then
    gcBufferBits(addr - 40960) = newByte
    Exit Sub
    End If
    
    If G_Card = eHiResQS And addr <= 1024 And regPC > 10239 And regPC < 12288 Then
    Memhrg(addr) = newByte
    Exit Sub
    Else
    If addr <= 10239 Or addr >= 12288 Then MEM(addr) = newByte
    Exit Sub
    End If
 End If

///  ************ Peek BYTE ***************	/// 
/// 'QS High res./// 
If G_Card = eHiResQS Then
/// ' A VB81 LEEK ???				/// 
/// ' if "LD BC,0000 -> LDIR"			/// 
/// ' The address is set to -1 !!!		/// 
/// ' The byte is set to 0!			/// 
/// ' and EXIT					/// 
    If addr = -1 Then
    peekb = 0
    Exit Function
/// 'Debug.Print "memory!!"; addr; "  fPV:"; fPV/// 
    End If
    
/// ' HARDWARE RAM BUFFER AT 0000 to 0400/// 
/// ' ROM's buffer./// 
    If addr <= 1024 And QSHRG_Display = 1 And regPC > 10239 And regPC < 12288 Then
    peekb = Memhrg(addr)
    Exit Function
    End If
    
/// ' SOFTWARE SWITCH (GRAPHIC<->TEXT MODE)	/// 
/// ' (/RD = GRAPHICS OR /WR = TEXT MODE) AND ADDRESS Beatween 2800-2FFF (QS-ROM)/// 
/// ' CF. Pookb					/// 
    If addr > 10239 And addr < 12288 Then
    QSHRG_Display = 1
    peekb = MEM(addr) ' Retrive the ROM Byte.
    Exit Function
    End If


/// ' HARDWARE RAM BUFFER AT A000 to B800 (6144 bytes/ 6Kb)/// 
/// ' Screen Buffer./// 
    If addr > 40959 And addr < 47105 Then
    peekb = gcBufferBits(addr - 40960)
    Exit Function
    End If


End If
